package com.iamberry.wechat.service.Personality;

import com.iamberry.wechat.core.entity.personality.*;
import com.iamberry.wechat.face.Personality.PersonalitySubjectService;
import com.iamberry.wechat.service.mapper.PersonalitySubjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 人格测试 service 实现
 * 2020年3月3日11:00:06
 * @author Administrator
 *
 */
@Service
public class PersonalitySubjectServiceImpl implements PersonalitySubjectService {
	@Autowired
	private PersonalitySubjectMapper personalitySubjectMapper;

	@Override
	public List<PersonalitySubject> listSubject() {
		return personalitySubjectMapper.listSubject();
	}

	@Override
	public List<PersonalityAnswer> getAnswer(Integer subjectId) {
		return personalitySubjectMapper.getAnswer(subjectId);
	}

	@Override
	public List<PersonalityType> getType(Integer typeId) {
		return personalitySubjectMapper.getType(typeId);
	}

	@Override
	public PersonalityRecommended getRecommended(PersonalityRecommended personalityRecommended) {
		return personalitySubjectMapper.getRecommended(personalityRecommended);
	}

	@Override
	public List<PersonalityBooks> getBooks(Integer booksRecommendedId) {
		return personalitySubjectMapper.getBooks(booksRecommendedId);
	}
}
